Firefly Open Source Community

   Login   |   Register   |
New_Topic

Arduino IDE increase Fireduino support and the solution of compile unsuccessful

15

Credits

0

Prestige

0

Contribution

new registration

Rank: 1

Credits
15
Posted at 11/18/2016 17:23:11     
Last edited by shenkaipeng In 11/18/2016 17:23 Editor

Question one:
   Updated verison of the manager appear CRC doesn't match. File is corruptedError condititions as shown in the figure below:
11.png

Reason:
   This problem generally appear in using the manager of official development board to update the SDK ,an error has occurred when testing packages.
The solution:
   Before refresh,let's open the development board manager update package storage directory,the default directory path is:
C:\Users\XXX\AppData\Local\Arduino15\staging\packages(XXX represents the current user name,the user name is my),delete the following two files as shown in figure format,such as“fireduino_sdk-x.x.x.tar.gz”documents (update package),then once again to upgrade SDK.
12.png

Question two:
   In the process of compiling,appear :error compiling for board Fireduino .
13.png

Reason:
    Platform support package access errors.
The solution:  
   According to the Arduino IDE installation method is different,from the following path to find the platform support package:  
1.Fireduino official download decompression version:
arduino-1.6.8\portable\packages\Firefly\hardware\arm(“arduino-1.6.8” is the folder after decompression)

2.Arduino official version IDE installation verison:
C:\Users\XXX\AppData\Local\Arduino15\packages\Firefly\hardware\arm

      Delete files that can not correspond with SDK version of the development board manager. As shown in the figure below,at present, the latest version is 1.3.0 ,should be retained,as shown in the figure below:
14.png


Reply

Use props Report

You need to log in before you can reply Login | Register

This forum Credits Rules

Quick Reply Back to top Back to list